Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 730328 - dev-python/pyode fails to compile
Summary: dev-python/pyode fails to compile
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-01 09:14 UTC by Agostino Sarubbo
Modified: 2020-09-02 08:06 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,18.08 KB, text/plain)
2020-07-01 09:15 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-01 09:14:57 UTC
@@This is an auto-filed bug@@
Feel free to change the summary at your convenience.

Issue: dev-python/pyode fails to compile.
Discovered on: amd64

NOTE:
This machine uses a clang/LLVM toolchain.
If you think that this issue is strictly related to clang/LLVM please mention it in the summary and block bug 408963. If you need further logs, feel free to ask.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-01 09:15:04 UTC
Created attachment 647290 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2020-08-01 22:15:21 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f63fe3d095d6a2cba6eb8f0715f02b30028110b0

commit f63fe3d095d6a2cba6eb8f0715f02b30028110b0
Author:     Aaron Bauman <bman@gentoo.org>
AuthorDate: 2020-08-01 22:14:31 +0000
Commit:     Aaron Bauman <bman@gentoo.org>
CommitDate: 2020-08-01 22:14:31 +0000

    package.mask: last-rite dev-python/pyode
    
    Bug: https://bugs.gentoo.org/662572
    Bug: https://bugs.gentoo.org/730328
    Signed-off-by: Aaron Bauman <bman@gentoo.org>

 profiles/package.mask | 5 +++++
 1 file changed, 5 insertions(+)
Comment 3 Larry the Git Cow gentoo-dev 2020-09-02 08:06:22 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=411444a72db93a795358f30124916c00b8009b93

commit 411444a72db93a795358f30124916c00b8009b93
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-09-02 07:59:25 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-09-02 07:59:25 +0000

    dev-python/pyode: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/730328
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 dev-python/pyode/Manifest                        |  1 -
 dev-python/pyode/metadata.xml                    | 11 ------
 dev-python/pyode/pyode-1.2.0_p20100322-r1.ebuild | 43 ------------------------
 profiles/package.mask                            |  5 ---
 4 files changed, 60 deletions(-)